<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:variable name="YourNameSpace" select="'命名空间'"/>
  <xsl:template match="/">
&lt;?xml version="1.0" encoding="utf-8"?&gt;
<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
	<PropertyGroup>
		<Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
		<Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
		<ProductVersion>8.0.30703</ProductVersion>
		<SchemaVersion>2.0</SchemaVersion>
		<ProjectGuid>
			{7F0B0237-D512-4728-B080-DCAD6EAB742A}	</ProjectGuid>
		<OutputType>Library</OutputType>
		<AppDesignerFolder>Properties</AppDesignerFolder>
		<RootNamespace><xsl:value-of select="$YourNameSpace"/>.MODEL</RootNamespace>
		<AssemblyName><xsl:value-of select="$YourNameSpace"/>.MODEL</AssemblyName>
		<TargetFrameworkVersion>v2.0</TargetFrameworkVersion>
		<FileAlignment>512</FileAlignment>
	</PropertyGroup>
	<PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
		<DebugSymbols>true</DebugSymbols>
		<DebugType>full</DebugType>
		<Optimize>false</Optimize>
		<OutputPath>bin\Debug\</OutputPath>
		<DefineConstants>DEBUG;TRACE</DefineConstants>
		<ErrorReport>prompt</ErrorReport>
		<WarningLevel>4</WarningLevel>
	</PropertyGroup>
	<PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
		<DebugType>pdbonly</DebugType>
		<Optimize>true</Optimize>
		<OutputPath>bin\Release\</OutputPath>
		<DefineConstants>TRACE</DefineConstants>
		<ErrorReport>prompt</ErrorReport>
		<WarningLevel>4</WarningLevel>
	</PropertyGroup>
	<ItemGroup>
	<Reference Include="System" />
    <Reference Include="System.Data" />		
    <Reference Include="System.configuration" />
	</ItemGroup>
	<ItemGroup>
		<xsl:for-each select="MengmaCodeHelper/Server/Database/Table">
      &lt;Compile Include="<xsl:value-of select="@Class"/>Model.cs" /&gt;</xsl:for-each> 
		<Compile Include="Properties\AssemblyInfo.cs" />
	</ItemGroup>
	<ItemGroup>
				
	</ItemGroup>
	<Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
</Project>
  </xsl:template>
</xsl:stylesheet>